import Layout from '@/layout/index.vue'
import { createNameComponent } from '../createNode'
const route = [
  {
    path: '/trackManager',
    component: Layout,
    redirect: 'trackManager/waybillManager',
    meta: { title: '运单管理', icon: 'icon-fabu' },
    children: [
      {
        path: 'waybillManager',
        component: createNameComponent(() => import('@/views/trackManager/waybillManager.vue')),
        meta: { title: '运单管理', cache: false, },
      },
      {
        path: 'deviceAbnormality',
        component: createNameComponent(() => import('@/views/trackManager/deviceAbnormality.vue')),
        meta: { title: '设备异常管理', cache: false, },
      },
      {
        path: 'loadDeviation',
        component: createNameComponent(() => import('@/views/trackManager/loadDeviation.vue')),
        meta: { title: '装货地异常管理', cache: false, },
      },
      {
        path: 'abnormalWaybill',
        component: createNameComponent(() => import('@/views/trackManager/abnormalWaybill.vue')),
        meta: { title: '卸货地异常管理', cache: false, },
      },
      // {
      //   path: 'publishDetail',
      //   component: createNameComponent(() => import('@/views/trackManager/publishDetail.vue')),
      //   meta: { title: '发布详情', hideMenuItem: true, cache: false, },
      // },
    ]
  },
  {
    path: '/auditPlaceShip',
    component: Layout,
    redirect: 'trackManager/auditPlaceShip',
    meta: { title: '供应商仓库管理', icon: 'icon-fabu' },
    children: [
      {
        path: 'auditPlaceShip',
        component: createNameComponent(() => import('@/views/trackManager/auditPlaceShip.vue')),
        meta: { title: '待审核仓库列表', cache: false, },
      },
      {
        path: 'placeShip',
        component: createNameComponent(() => import('@/views/trackManager/placeShip.vue')),
        meta: { title: '已通过仓库列表', cache: false, },
      },
      {
        path: 'unPlaceShip',
        component: createNameComponent(() => import('@/views/trackManager/unPlaceShip.vue')),
        meta: { title: '已拒绝仓库列表', cache: false, },
      },
    ]
  }
]

export default route